#include "piece.h"

void
Piece::draw()
	{
	if ( doDraw )
		{
		for( int i=0; i<3; i++ )
			{
			jewels[i]->draw();
			}
		}	
	}

void
Piece::update()
	{
	for( int i=0; i<3; i++ )
		{
		jewels[i]->update();
		}
	}
	
void
Piece::updateXDest( int modxdest )
	{
	for( int i=0; i<3; i++ )
		{
		jewels[i]->updateXDest( modxdest );
		}
	}

void
Piece::downFast()
	{
	for( int i=0; i<3; i++ )
		{
		jewels[i]->downFast();
		}
	}

void
Piece::setYPos( int newypos )
	{
	for( int i=0; i<3; i++ )
		{
		jewels[i]->setYPos( newypos + i );
		}
	}	

void
Piece::flip()
	{
	jewels[0]->updatePos( 0, 2, 0 );
	jewels[1]->updatePos( 0, -1, 0 );
	jewels[2]->updatePos( 0, -1, 0 );
	int tempdest = jewels[0]->getYDest();
	jewels[0]->setYDest( jewels[1]->getYDest() );
	jewels[1]->setYDest( jewels[2]->getYDest() );
	jewels[2]->setYDest( tempdest );
	// rotate pointers
	Jewel * jewelTemp = jewels[0];
	jewels[0] = jewels[1];
	jewels[1] = jewels[2];
	jewels[2] = jewelTemp;
	}
