#ifndef TEXTCHAR_H
#define TEXTCHAR_H

#include "base.h"

#define TEXTURE_FLAG 1

class TextChar;

class TextChar
	{
	public:
	TextChar( GLubyte newtexture, char newchar, float startx, 
			float starty, float startz, float newWidth, float newHeight )
		{
		texture = newtexture;
		myChar = newchar;
		startPoint[0] = startx;
		startPoint[1] = starty;
		startPoint[2] = startz;
		height = newHeight;
		width = newWidth;

		setChar( myChar );
		}
	
	void draw();

	void setChar( char newChar )
		{
		myChar = newChar;
		FILE *file;
		switch ( myChar )
			{
			case '0':
				file = fopen( "0.raw", "rb" );
				break;
			case '1':
				file = fopen( "1.raw", "rb" );
				break;
			case '2':
				file = fopen( "2.raw", "rb" );
				break;
			case '3':
				file = fopen( "3.raw", "rb" );
				break;
			case '4':
				file = fopen( "4.raw", "rb" );
				break;
			case '5':
				file = fopen( "5.raw", "rb" );
				break;
			case '6':
				file = fopen( "6.raw", "rb" );
				break;
			case '7':
				file = fopen( "7.raw", "rb" );
				break;
			case '8':
				file = fopen( "8.raw", "rb" );
				break;
			case '9':
				file = fopen( "9.raw", "rb" );
				break;
			default:
				file = fopen( "5.raw", "rb" );
				printf( "bad textchar mychar\n" );
				break;
			}
		for ( int i = 0; i < 32; i++ )
			{
			fread( imageData, 1, 32 * 32 * 3, file );
			}
		fclose( file );
		}

	private:
	char myChar;
	float startPoint[3];
	float height;
	float width;
	GLubyte imageData[32*32*3];
	GLubyte texture;
	};

#endif	
