#include "textchar.h"

void
TextChar::draw()
	{

	// don't show scoreboard since it doesn't work yet
	//return;

	// printf( "TextChar::draw()\n" );
	glPushMatrix();

	

	if ( TEXTURE_FLAG )
		{
		glBindTexture (GL_TEXTURE_2D, 13);
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER,
			GL_LINEAR);
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER,
			GL_LINEAR);
		glTexParameteri (GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
        glTexParameteri (GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
		glTexEnvf (GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
		glTexImage2D (GL_TEXTURE_2D, 0, GL_RGB, 32, 32, 0, GL_RGB,
                               GL_UNSIGNED_BYTE, imageData);
		//gluBuild2DMipmaps(GL_TEXTURE_2D, 3, 32, 32,
		//	GL_RGB, GL_UNSIGNED_BYTE, moo);
		glEnable(GL_TEXTURE_2D);
		}

	glColorMaterial(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE);
	GLfloat specular[4];
	specular[0] = specular[1] = specular[2] = 0.1;
	specular[3] = 1;
	glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, specular);

	glColor3f( 0.8, 0.8, 0.8 ); 
	
	glBegin( GL_QUADS );

		if ( TEXTURE_FLAG ) glTexCoord2f( 1, 0 );
		glVertex3f( startPoint[0] + width, 
			startPoint[1] + height, 
			startPoint[2] ); 
		
		if ( TEXTURE_FLAG ) glTexCoord2f( 1, 1 );
		glVertex3f( startPoint[0] +width, 
			startPoint[1], 
			startPoint[2] ); 
		
		if ( TEXTURE_FLAG ) glTexCoord2f( 0, 1 );
		glVertex3f( startPoint[0], 
			startPoint[1], 
			startPoint[2] ); 
		
		if ( TEXTURE_FLAG ) glTexCoord2f( 0, 0 );
		glVertex3f( startPoint[0], 
			startPoint[1] + height, 
			startPoint[2] );
		
	glEnd();
	
	if ( TEXTURE_FLAG )
		{
		glDisable(GL_TEXTURE_2D);
		}

	glPopMatrix();
	}
